Bug 1072778 (CVE-2014-2285) - CVE-2014-2285 net-snmp: snmptrapd crash when using a trap with empty community string
Summary: CVE-2014-2285 net-snmp: snmptrapd crash when using a trap with empty communit...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-2285
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140303,repor...
Depends On: 1072044 1073224 1073225
Blocks: 1070397
TreeView+ depends on / blocked
 
Reported: 2014-03-05 08:27 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-26 14:49:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0322 normal SHIPPED_LIVE Moderate: net-snmp security update 2014-03-24 21:54:48 UTC

Description Huzaifa S. Sidhpurwala 2014-03-05 08:27:41 UTC
A remote denial-of-Service flaw was found in the way snmptrapd handled trap requests with empty community string, when the perl handler was enabled. A remote attacker could use this flaw to cause snmp to crash.

More details about the flaw is available at:
https://bugzilla.redhat.com/show_bug.cgi?id=1072044

Proposed upstream patch:
http://sourceforge.net/p/net-snmp/patches/1275/

Comment 1 Huzaifa S. Sidhpurwala 2014-03-06 04:26:17 UTC
This issue has been assigned CVE-2014-2285 via:

http://www.openwall.com/lists/oss-security/2014/03/05/9

Comment 4 Tomas Hoger 2014-03-19 22:23:26 UTC
This issue was caused by a bug in perl in the way newSVpv() handled NULL as its first argument.  The perl version shipped in Red Hat Enterprise Linux 5 crashes when newSVpv() is called with NULL argument.  The perl version shipped in Red Hat Enterprise Linux 6 handles NULL values gracefully, and hence net-snmp packages in Red Hat Enterprise Linux 6 are not affected by this problem.

References related to the perl bug and its fix:
http://www.nntp.perl.org/group/perl.perl5.porters/2006/09/msg116250.html
http://perl5.git.perl.org/perl.git/commitdiff/ddfa59c

Statement:

This issue did not affect the versions of net-snmp as shipped with Red Hat Enterprise Linux 6.

Comment 5 errata-xmlrpc 2014-03-24 17:55:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0322 https://rhn.redhat.com/errata/RHSA-2014-0322.html


Note You need to log in before you can comment on or make changes to this bug.